Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.extending
Class AlphaNumericSequencerExtensionImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.axiom.util.AlphaNumericSequencerImpl
                  |
                  +--examples.extending.AlphaNumericSequencerExtensionImpl

public class AlphaNumericSequencerExtensionImpl
extends AlphaNumericSequencerImpl

     Primary Key = examples.extending.AlphaNumericSequencerExtensionPk

See Also:
  `AlphaNumericSequencerExtension`, `AlphaNumericSequencerExtensionHome`, `AlphaNumericSequencerExtensionValue`, Serialized Form

Fields inherited from class theory.smart.axiom.util.AlphaNumericSequencerImpl
`counter, identifier, numDigits, prefix, step, suffix`

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`AlphaNumericSequencerExtensionImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`AlphaNumericSequencerExtensionPk` | `ejbCreate(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)`
`java.util.Enumeration` | `ejbFindAll()`
`AlphaNumericSequencerExtensionPk` | `ejbFindByPrimaryKey(AlphaNumericSequencerExtensionPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`AlphaNumericSequencerExtensionValue` | `getAlphaNumericSequencerExtensionByValue()` Get all of AlphaNumericSequencerExtension's attributes.
`java.lang.String` | `getValue()` This method returns the CURRENT value of the sequencer.
`void` | `setAlphaNumericSequencerExtensionByValue(AlphaNumericSequencerExtensionValue value)` Set all of AlphaNumericSequencerExtension's attributes to the passed in value.
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.axiom.util.AlphaNumericSequencerImpl
`ejbCreate, ejbCreateInitVars, ejbFindByPrimaryKey, ejbPostCreate, getAlphaNumericSequencerByValue, getCounter, getIdentifier, getNextValue, getNumDigits, getPrefix, getStep, getSuffix, initialize, setAlphaNumericSequencerByValue, setCounter, setNumDigits, setPrefix, setStep, setSuffix`

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlphaNumericSequencerExtensionImpl

    public AlphaNumericSequencerExtensionImpl()
                                       throws CreateException

Method Detail

### getAlphaNumericSequencerExtensionByValue

    public AlphaNumericSequencerExtensionValue getAlphaNumericSequencerExtensionByValue()
                                                                                 throws java.rmi.RemoteException

  Get all of AlphaNumericSequencerExtension's attributes.
  Returns:
    AlphaNumericSequencerExtensionValue the AlphaNumericSequencerExtension value object

### setAlphaNumericSequencerExtensionByValue

    public void setAlphaNumericSequencerExtensionByValue(AlphaNumericSequencerExtensionValue value)
                                                  throws java.rmi.RemoteException

  Set all of AlphaNumericSequencerExtension's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `AlphaNumericSequencerExtensionValue` - the AlphaNumericSequencerExtension value object

### ejbCreate

    public AlphaNumericSequencerExtensionPk ejbCreate(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)
                                               throws CreateException,
                                                      java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class AlphaNumericSequencerImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class AlphaNumericSequencerImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class AlphaNumericSequencerImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class AlphaNumericSequencerImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class AlphaNumericSequencerImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class AlphaNumericSequencerImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class AlphaNumericSequencerImpl

### ejbFindByPrimaryKey

    public AlphaNumericSequencerExtensionPk ejbFindByPrimaryKey(AlphaNumericSequencerExtensionPk pk)
                                                         throws FinderException,
                                                                java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

  Overrides:
    ejbFindAll in class AlphaNumericSequencerImpl

### getValue

    public java.lang.String getValue()
                              throws java.rmi.RemoteException

  This method returns the CURRENT value of the sequencer. (using a hex counter)
  Overrides:
    getValue in class AlphaNumericSequencerImpl
  See Also:
    `AlphaNumericSequencerImpl.getNextValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.